SWAPON(8)

NAME
swapon, swapoff, swapctl - specify devices for paging and swapping

SYNOPSIS
swapon [-F fstab] -aLq | -E file ...
swapoff [-F fstab] -afLq | file ...
swapctl [-AfghklmsU] [ -a file ... | -d file ...]

DESCRIPTION
The swapon, swapoff and swapctl utilities are used to control swap devices in the system. At boot time all swap entries in /etc/fstab are added automatically when the system goes multi-user. Swap devices use a fixed interleave; the maximum number of devices is unlimited. There is no priority mechanism.

The swapon utility adds the specified swap devices to the system. If the -a option is used, all swap devices in /etc/fstab will be added, unless their “noauto” or “late” option is also set. If the -L option is specified, swap devices with the “late” option will be added as well as ones with no option. If the -q option is used, informational messages will not be written to standard output when a swap device is added. The -E option causes each of following devices to receive a BIO_DELETE command. This command marks the device's blocks as unused, except those that might store a disk label. This marking can erase a crash dump. To delay swapon for a device until after savecore has copied the crash dump to another location, use the “late” option.

The swapoff utility removes the specified swap devices from the system. If the -a option is used, all swap devices in /etc/fstab will be removed, unless their “noauto” option is also set. If the -L option is specified, only swap devices with the “late” option will be removed. If the -q option is used, informational messages will not be written to standard output when a swap device is removed. Note that swapoff will fail and refuse to remove a swap device if a very conservative check does not conclude that there is sufficient VM (memory + remaining swap devices) to run the system. The -f option turns off this check, which could deadlock the system if there is insufficient swap space remaining.

The swapoff utility must move swapped pages out of the device being removed which could lead to high system loads for a period of time, depending on how much data has been swapped out to that device.

Other options supported by both swapon and swapoff are as follows:

-F fstab
    Specify the fstab file to use (in conjunction with -a).

The swapctl utility exists primarily for those familiar with other BSDs and may be used to add, remove, or list swap devices. Note that the -a option is used differently in swapctl and indicates that a specific list of devices should be added. The -d option indicates that a specific list should be removed. The -A and -U options to swapctl operate on all swap entries in /etc/fstab which do not have their “noauto” option set.

Swap information can be generated using the swapinfo(8) utility, pstat -s, or swapctl -l. The swapctl utility has the following options for listing swap:

-h  Output values in human-readable form.

-g  Output values in gigabytes.

-k  Output values in kilobytes.

-m  Output values in megabytes.

-l  List the devices making up system swap.

-s  Print a summary line for system swap.

    The BLOCKSIZE environment variable is used if not specifically overridden. 512 byte blocks are used by default.

FILES
/dev/{ada,da}?s?b
    standard paging devices
/dev/md?
    memory disk devices
/etc/fstab
    ASCII file system description table

DIAGNOSTICS
These utilities may fail for the reasons described in swapon(2).

SEE ALSO
swapon(2), fstab(5), init(8), mdconfig(8), pstat(8), rc(8)

HISTORY
The swapon utility appeared in 4.0BSD. The swapoff and swapctl utilities appeared in FreeBSD 5.1.